/* date = September 7th 2023 7:47 pm */

#ifndef BASE_BASIC_TYPES_H
#define BASE_BASIC_TYPES_H

////////////////////////////////
// NOTE(allen): Basic Types

#include <stdint.h>
typedef int8_t  S8;
typedef int16_t S16;
typedef int32_t S32;
typedef int64_t S64;
typedef uint8_t  U8;
typedef uint16_t U16;
typedef uint32_t U32;
typedef uint64_t U64;
typedef S8 B8;
typedef S16 B16;
typedef S32 B32;
typedef S64 B64;
typedef float F32;
typedef double F64;

typedef void VoidFunc(void);

#endif //BASE_BASIC_TYPES_H
