/* date = May 27th 2022 8:28 pm */

#ifndef D3D11_API_DEFS_H
#define D3D11_API_DEFS_H

#include "win32/win32_inc.h"

#include <d3d11.h>
#include <dxgi.h>
#include <D3Dcompiler.h>

//- d3d function types

#define X(M,N,R,P) typedef R W32_##N P;
#include "d3d11_api_funcs.h"
#undef X

//- d3d function pointers

#define X(M,N,R,P) global W32_##N * w32_##N = 0;
#include "d3d11_api_funcs.h"
#undef X

#endif //D3D11_API_DEFS_H
