/* date = January 29th 2023 2:52 pm */

#ifndef OGL_HELPER_H
#define OGL_HELPER_H

////////////////////////////////
// NOTE(allen): OpenGL Helper Types

typedef struct OGL_Shader{
  GLuint handle;
  String8 log;
} OGL_Shader;

////////////////////////////////
// NOTE(allen): OpenGL Helper Functions

function OGL_Shader ogl_make_shader(Arena *arena, char *src, GLenum kind);

function OGL_Shader ogl_make_program(Arena *arena, GLuint *shaders, U32 count);

#endif //OGL_HELPER_H
