/* date = July 12th 2023 4:24 pm */

#ifndef OGL_RENDER_IMPL_H
#define OGL_RENDER_IMPL_H

////////////////////////////////
// NOTE(allen): OpenGL Render Types

typedef struct OGL_Renderer{
  B32 initialized;
  
  GLuint program;
  GLint u_view_xform;
  GLint u_tex;
  
  GLuint vertex_buffer;
  GLuint fallback_texture;
  
  GLuint canvas_texture;
  GLuint main_framebuffer;
  
  V2S32 dim;
} OGL_Renderer;


#endif //OGL_RENDER_IMPL_H
