/* date = July 12th 2023 5:39 pm */

#ifndef RENDER_INC_H
#define RENDER_INC_H

#include "render/render_context.h"
#include "render/render_abs.h"
#include "render/render_helper.h"

#if R_BACKEND_OGL
# include "opengl/ogl_inc.h"
# include "render/opengl/ogl_render_impl.h"
#elif R_BACKEND_D3D11
# error the d3d11 backend for render_inc.h is not implemented
#else
# error no backend selected render_inc.h
#endif

#endif //RENDER_INC_H
